import { useMentions } from "../../App/useMentions";
import { useRef } from "preact/hooks";

export const Description = ({ description, onInput }) => {
    const input = useRef(null);
    useMentions(input);

    return (
        <>
            <label class="is-sr-only" for="embedDescription">
                Embed Description
            </label>
            <textarea
                class="discord-description message-input autoresize "
                placeholder="Embed Description..."
                maxlength={4096}
                name="embed_description"
                rows={1}
                ref={input}
                value={description}
                onInput={(ev) => {
                    onInput(ev.currentTarget.value);
                }}
            ></textarea>
        </>
    );
};
